| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivaria/dynamics.h File Reference

Physics interfaces. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iBodyGroup
| Body Group is a collection of bodies which don't collide with each other. More...
struct | iDynamics
| This is the interface for the actual plugin. More...
struct | iDynamicsColliderCollisionCallback
| This is the interface for attaching a collider callback to the body. More...
struct | iDynamicsCollisionCallback
| This is the interface for attaching a collider callback to the body. More...
struct | iDynamicsMoveCallback
| This is the interface for a dynamics move callback. More...
struct | iDynamicsSystemCollider
| This is the interface for a dynamics system collider. More...
struct | iDynamicSystem
| This is the interface for the dynamics core. More...
struct | iJoint
| This is the interface for a joint. More...
struct | iRigidBody
| This is the interface for a rigid body. More...
## Enumerations
enum | csColliderGeometryType

## Detailed Description

Physics interfaces.

Definition in file dynamics.h.